## net.i2p.router.web
Class ReseedHandler.ReseedRunner

    java.lang.Object
      net.i2p.router.web.ReseedHandler.ReseedRunner

All Implemented Interfaces:
  java.lang.Runnable, EepGet.StatusListener

Enclosing class:
  ReseedHandler

    public class ReseedHandler.ReseedRunner

extends java.lang.Object
implements java.lang.Runnable, EepGet.StatusListener

Constructor Summary
`ReseedHandler.ReseedRunner()`

Method Summary
`void` `attemptFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt, int numRetries, java.lang.Exception cause)`
`void` `attempting(java.lang.String url)`
`void` `bytesTransferred(long alreadyTransferred, int currentWrite, long bytesTransferred, long bytesRemaining, java.lang.String url)`
`void` `headerReceived(java.lang.String url, int attemptNum, java.lang.String key, java.lang.String val)`
`boolean` `isRunning()`
`void` `run()`
`void` `transferComplete(long alreadyTransferred, long bytesTransferred, long bytesRemaining, java.lang.String url, java.lang.String outputFile, boolean notModified)`
`void` `transferFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReseedHandler.ReseedRunner

    public ReseedHandler.ReseedRunner()

Method Detail

### isRunning

    public boolean isRunning()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### attemptFailed

    public void attemptFailed(java.lang.String url,
                              long bytesTransferred,
                              long bytesRemaining,
                              int currentAttempt,
                              int numRetries,
                              java.lang.Exception cause)

  Specified by:
    `attemptFailed` in interface `EepGet.StatusListener`

### bytesTransferred

    public void bytesTransferred(long alreadyTransferred,
                                 int currentWrite,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url)

  Specified by:
    `bytesTransferred` in interface `EepGet.StatusListener`

### transferComplete

    public void transferComplete(long alreadyTransferred,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url,
                                 java.lang.String outputFile,
                                 boolean notModified)

  Specified by:
    `transferComplete` in interface `EepGet.StatusListener`

### transferFailed

    public void transferFailed(java.lang.String url,
                               long bytesTransferred,
                               long bytesRemaining,
                               int currentAttempt)

  Specified by:
    `transferFailed` in interface `EepGet.StatusListener`

### headerReceived

    public void headerReceived(java.lang.String url,
                               int attemptNum,
                               java.lang.String key,
                               java.lang.String val)

  Specified by:
    `headerReceived` in interface `EepGet.StatusListener`

### attempting

    public void attempting(java.lang.String url)

  Specified by:
    `attempting` in interface `EepGet.StatusListener`